Retrieve Signature Data for Account Setup
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valox.co/api/v1/account/signature-payload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.valox.co/api/v1/account/signature-payload \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valox.co/api/v1/account/signature-payload"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valox.co/api/v1/account/signature-payload"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valox.co/api/v1/account/signature-payload")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valox.co/api/v1/account/signature-payload")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"domain": {},
"primaryType": "<string>",
"types": {},
"message": {}
}
Safe Management
Retrieve Signature Data for Account Setup
deprecated
Returns the domain, types, and message objects needed for EIP-712 typed data signing. This is typically used to prepare the data that needs to be signed by the user’s wallet to set up account allowances and delays.
The response contains structured data compatible with the EIP-712 signature standard.
After obtaining this data and signing it with the user’s wallet, the signature can be
sent to the /api/v1/account/deploy-safe-modules endpoint to complete the setup process.
Prerequisites:
- User must have a deployed Safe account
- The Safe account must have a currency set (via
/api/v1/safe/set-currency)
GET
/
api
/
v1
/
account
/
signature-payload
Retrieve Signature Data for Account Setup
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valox.co/api/v1/account/signature-payload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.valox.co/api/v1/account/signature-payload \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valox.co/api/v1/account/signature-payload"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valox.co/api/v1/account/signature-payload"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valox.co/api/v1/account/signature-payload")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valox.co/api/v1/account/signature-payload")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"domain": {},
"primaryType": "<string>",
"types": {},
"message": {}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

